import sys

import langid

text = "Hallo, how bist you?"

language, confidence = langid.classify(text)

print(f"Erkannte Sprache: {language}")
print(f"Vertrauen: {confidence}")


def add_tag_to_definitions(identifier, com):
    with open('.mcdefinitions', 'a') as file:
        file.write(identifier + '=' + com + '\n')
    print(
        f'Tags "{identifier}" und "{com}" wurden zu .mcdefinitions hinzugefügt')


input_str = input(
    "Geben Sie den Identifier und Com ein (mit Komma getrennt): ")
input_list = input_str.split(",")

if len(input_list) != 2:
    print("Bitte geben Sie genau 2 Werte ein, getrennt durch ein Komma.")
else:
    identifier = input_list[0].strip()
    com = input_list[1].strip()
    add_tag_to_definitions(identifier, com)
